apiVersion: v1
items:
- apiVersion: org.eclipse.che/v2
  kind: CheCluster
  metadata:
    creationTimestamp: "2022-11-22T01:43:12Z"
    finalizers:
    - checluster.che.eclipse.org
    - cheGateway.clusterpermissions.finalizers.che.eclipse.org
    - cheWorkspaces.clusterpermissions.finalizers.che.eclipse.org
    - namespaces-editor.permissions.finalizers.che.eclipse.org
    - devWorkspace.permissions.finalizers.che.eclipse.org
    - oauthclients.finalizers.che.eclipse.org
    - dashboard.clusterpermissions.finalizers.che.eclipse.org
    - consolelink.finalizers.che.eclipse.org
    generation: 1
    name: devspaces
    namespace: openshift-devspaces
    resourceVersion: "6045512"
    uid: 5214a04b-4a92-4465-a86e-86dcdded9743
  spec:
    components:
      cheServer:
        debug: false
        logLevel: INFO
      dashboard: {}
      database:
        credentialsSecretName: postgres-credentials
        externalDb: false
        postgresDb: dbche
        postgresHostName: postgres
        postgresPort: "5432"
        pvc:
          claimSize: 1Gi
      devWorkspace:
        runningLimit: "10000"
      devfileRegistry: {}
      imagePuller:
        enable: false
        spec: {}
      metrics:
        enable: true
      pluginRegistry:
        openVSXURL: https://open-vsx.org
    containerRegistry: {}
    devEnvironments:
      defaultComponents:
      - container:
          image: registry.redhat.io/devspaces/udi-rhel8@sha256:02dec566ee0537e7110c75c7f0371a538c37bd052670817c962d60b958e455d1
          sourceMapping: /projects
        name: universal-developer-image
      defaultEditor: che-incubator/che-code/insiders
      defaultNamespace:
        autoProvision: true
        template: <username>-devspaces
      disableContainerBuildCapabilities: true
      secondsOfInactivityBeforeIdling: 1800
      secondsOfRunBeforeIdling: -1
      storage:
        pvcStrategy: per-user
    gitServices: {}
    networking:
      auth:
        gateway:
          configLabels:
            app: che
            component: che-gateway-config
  status:
    chePhase: Active
    cheURL: https://devspaces.apps.ocp410.crw-qe.com
    cheVersion: 3.3.0
    devfileRegistryURL: https://devspaces.apps.ocp410.crw-qe.com/devfile-registry
    gatewayPhase: Established
    pluginRegistryURL: https://devspaces.apps.ocp410.crw-qe.com/plugin-registry/v3
    postgresVersion: "13.7"
    workspaceBaseDomain: apps.ocp410.crw-qe.com
kind: List
metadata:
  resourceVersion: ""
  selfLink: ""
